Bug 1002240 - SELinux is preventing /usr/sbin/openvpn from 'write' accesses on the file /etc/openvpn/openvpn-status.log.
SELinux is preventing /usr/sbin/openvpn from 'write' accesses on the file /et...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:b68939b732debbc20668a8b41c8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 13:21 EDT by Ashley
Modified: 2015-01-09 15:59 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 15:59:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashley 2013-08-28 13:21:22 EDT
Description of problem:
bootin up
SELinux is preventing /usr/sbin/openvpn from 'write' accesses on the file /etc/openvpn/openvpn-status.log.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that openvpn should be allowed write access on the openvpn-status.log file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep openvpn /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:openvpn_t:s0
Target Context                unconfined_u:object_r:openvpn_etc_t:s0
Target Objects                /etc/openvpn/openvpn-status.log [ file ]
Source                        openvpn
Source Path                   /usr/sbin/openvpn
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           openvpn-2.3.2-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-301.fc19.x86_64 #1 SMP Tue
                              Jun 11 19:39:38 UTC 2013 x86_64 x86_64
Alert Count                   32
First Seen                    2013-08-26 18:05:02 SAST
Last Seen                     2013-08-28 12:22:34 SAST
Local ID                      2ed9c77d-53d7-40e8-b1ed-2383c6a5d726

Raw Audit Messages
type=AVC msg=audit(1377685354.529:50): avc:  denied  { write } for  pid=1060 comm="openvpn" name="openvpn-status.log" dev="dm-0" ino=1840937 scontext=system_u:system_r:openvpn_t:s0 tcontext=unconfined_u:object_r:openvpn_etc_t:s0 tclass=file


type=SYSCALL msg=audit(1377685354.529:50): arch=x86_64 syscall=access success=no exit=EACCES a0=7fe2561f1a18 a1=2 a2=7fe253d54788 a3=7fe253a22cb0 items=0 ppid=1 pid=1060 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=openvpn exe=/usr/sbin/openvpn subj=system_u:system_r:openvpn_t:s0 key=(null)

Hash: openvpn,openvpn_t,openvpn_etc_t,file,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.5-301.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-08-28 16:08:16 EDT
Why isn't this file in /var/log/openvpn?
Comment 2 Eero Aaltonen 2013-10-14 09:00:30 EDT
Because in the openvpn Setup guide and sample config
server.conf is located in /etc/openvpn/

and it only specifies the path openvpn-status.log (in the dir)

I suppose this is good for platform independent packaging, but should probably be changed for the .rpm
Comment 3 Fedora Admin XMLRPC Client 2014-11-10 10:37:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2014-11-10 10:51:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2015-01-09 14:37:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 David Sommerseth 2015-01-09 15:59:40 EST
This issue has been discussed upstream, and we're slowly moving into changing the documentation and recommendations.

http://community.openvpn.net/openvpn/ticket/479

Closing this as WONTFIX, and a proper and better fix will come from upstream at some point in the future.

Note You need to log in before you can comment on or make changes to this bug.